Bug 61428 - FORMATTING: ReplaceDescriptor
Summary: FORMATTING: ReplaceDescriptor
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.1.1 rc
Hardware: Other Windows (All)
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: BSA target:4.1.0 target:4.0.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-02-25 08:14 UTC by dany franck
Modified: 2013-02-27 07:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dany franck 2013-02-25 08:14:04 UTC
Problem description: 

When using replacedescriptor, il replacestring is null, no replacement is done.

Expected behavior:
The original text should be replaced by none.
              
Operating System: Windows 7
Version: 4.0.1.1 rc
Last worked in: 4.0.0.3 release
Comment 1 Michael Stahl (allotropia) 2013-02-25 21:15:51 UTC
oops sorry my fault (shouldn't have pasted that code from InsertText method);
fixed on master, hope we'll get the fix into 4.0.1.2
Comment 2 Not Assigned 2013-02-25 21:16:42 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e6a0b6d04722d43a1fc8d3745b5e79b7ced90eb

fdo#61428: SwTxtNode::ReplaceText: brown paperbag fix



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2013-02-25 21:23:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f5361a9402cd6df4da7fb98108ae1906b41edd3&h=libreoffice-4-0

fdo#61428: SwTxtNode::ReplaceText: brown paperbag fix


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-02-26 09:16:39 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=282af14d3c021ad6927bc909161c0ff7b31fa1c9&h=libreoffice-4-0-1

fdo#61428: SwTxtNode::ReplaceText: brown paperbag fix


It will be available already in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 dany franck 2013-02-27 07:14:36 UTC
OK, resolved. Test on daily build.
Thanks